### Function

# Camel mempool_alloc

since: 2.32

#### Declaration [src]

    gpointer
    camel_mempool_alloc (
      CamelMemPool* pool,
      gint size
    )

#### Description [src]

Allocate a new data block in the mempool. Size will be rounded up to the mempool’s alignment restrictions before being used.

Available since: 2.32

This function is not directly available to language bindings.

#### Parameters

`pool`

  Type: `CamelMemPool`

  A `CamelMemPool`.

  The data is owned by the caller of the function.

`size`

  Type: `gint`

  Requested size to allocate.

#### Return value

Type: `gpointer`

No description available.

The data is owned by the called function.
The return value can be `NULL`.